Skip to main content
GET
/
transfers
/
{transferId}
Get transfer by ID
curl --request GET \
  --url https://api.anchorage-staging.com/v2/transfers/{transferId} \
  --header 'Api-Access-Key: <api-key>'
{
  "data": {
    "transferId": "008d3ec72558ce907571886df63ef51594b5bd8cf106a0b7fa8f12a30dfc867f",
    "amount": {
      "quantity": "1000.00000000",
      "assetType": "USDC",
      "currentPrice": "1.00",
      "currentUSDValue": "1000.00"
    },
    "fee": {
      "quantity": "0.0002207155625",
      "assetType": "ETH"
    },
    "assetType": "USDC",
    "source": {
      "id": "1c920f4241b78a1d483a29f3c24b6c4c",
      "type": "WALLET"
    },
    "destination": {
      "id": "55e89d4a644d736b01533a2ea9b32a20",
      "type": "WALLET"
    },
    "transferMemo": "Internal ID: #12838927347",
    "status": "COMPLETED",
    "createdAt": "2019-01-02T12:34:56.000Z",
    "endedAt": "2019-01-03T12:34:56.000Z"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

transferId
string
required

The ID of the transfer to get details for

Response

Metadata about a specific transfer

data
TransferDetails · object
required
Example:
{
"transferId": "008d3ec72558ce907571886df63ef51594b5bd8cf106a0b7fa8f12a30dfc867f",
"amount": {
"quantity": "1000.00000000",
"assetType": "USDC",
"currentPrice": "1.00",
"currentUSDValue": "1000.00"
},
"fee": {
"quantity": "0.0002207155625",
"assetType": "ETH"
},
"assetType": "USDC",
"source": {
"id": "1c920f4241b78a1d483a29f3c24b6c4c",
"type": "WALLET"
},
"destination": {
"id": "55e89d4a644d736b01533a2ea9b32a20",
"type": "WALLET"
},
"transferMemo": "Internal ID: #12838927347",
"status": "COMPLETED",
"createdAt": "2019-01-02T12:34:56.000Z",
"endedAt": "2019-01-03T12:34:56.000Z"
}